Subject: Re: split and cat (NBY)
From: [email-masked] (Fergus Henderson)

29 Jan 1998 11:36:41 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: [email-masked]

On 28-Jan-1998, [email-masked] <[email-masked]> wrote:
> On 23 Jan 98 at 22:31,  malcolm <[email-masked]> wrote:
> 
> > Are split and cat supposed to work properly as a means of splitting
> > large binary files and joinging the pieces back together. I find that
> > split craps out having performed a good job of creating nothing useful.
> > If I use split on a Linux box and then try to use cat to put the bits
> > back together, that fails as well. Typical files I have tried are 10+MB
> > being split into 1MB chunks.
> > 
> > Just curious to hear if anyone has got them to work - in which case its
> > my setup. Or if its a common problem, is a fix on the way?
> 
> congratulations: like everybody else you've been bitten by the
> binary/non-binary file dichotomy in gnu-win32. :-)

Homework exercise: patch `split' so that it opens its files in binary mode.

(`cat' is a bit more troublesome, but adding a `--binary' option should
not be too hard.)

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".